### Constructor

# Gtk FontDialogButtonnew

since: 4.10

#### Declaration [src]

    GtkWidget*
    gtk_font_dialog_button_new (
      GtkFontDialog* dialog
    )

#### Description [src]

Creates a new `GtkFontDialogButton` with the given `GtkFontDialog`.

You can pass `NULL` to this function and set a `GtkFontDialog` later. The button will be insensitive until that happens.

Available since: 4.10

#### Parameters

`dialog`

  Type: `GtkFontDialog`

  The `GtkFontDialog` to use.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `GtkWidget`

The new `GtkFontDialogButton`

The data is owned by the called function.